Miridia
Portal
Administration

Push notifications

The push notifications operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/push-notification/subscription-tokenGet vapid token

Get vapid token

GET/api/push-notification/subscription-token

Access. Send a bearer token or an API key. Any signed-in member can call this operation.

Response

200. Returns a SingleResult envelope. The data field is string.

Request
curl -X GET "https://api.miridia.io/api/push-notification/subscription-token" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": "string",
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}